Subject: RE: [Megaco] Basic doubt

From: "David Stonehouse" <[email-masked]>
Date: Fri, 7 Sep 2001 09:10:44 -0400

The MG should be responsible to ensure that it gets a Notify Reply from the
MGC before sending a follow up Notify against the same termination - any
other requirements for sequencing on UDP will have a significant negative
impact on message throughput and turnaround time. 

I believe it was decided to strike out item #3 in section 9.1 some time
after the May version of the IG because (I think) it didn't really apply to
an MGC.  Instead of removing the intent of that statement, it should be
restated as a requirement earlier in this section, before the list of
"suggestions" for MGC implementation.  

Here is my suggested text: 

"For transport that does not guarantee in sequence delivery of messages
(e.g., UDP), on a given Termination, the MG should ensure that there is at
most one outstanding Notify command at any time."

Dave Stonehouse

-----Original Message-----
From: Naidu, Venkata [mailto:[email-masked]]
Sent: Thursday, September 06, 2001 6:29 PM
To: 'Troy Cauble'; Atanum
Cc: megaco
Subject: RE: [Megaco] Basic doubt

-> There is currently nothing in place to guarantee ordered
-> delivery for MG -> MGC messages, since #3 in 9.1 was removed
-> by the IG.  I think we need something and recently brought 
-> this up in the mailing list (see the thread "maintaining the 
-> order of events").

   Why can't MG <-> MGC maintain sequence integrity?
   One int will do the job, I think it is important...
   instead of adding a constraint - Only one outstanding
   message between MG->MGC etc etc!
   (just like other transport protocols do)

--Venkata Naidu

_______________________________________________
Megaco mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/megaco